source: squid-ssl/trunk/fuentes/src/mgr/Makefile.in @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 23 months ago

Initial release

File size: 41.6 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91check_PROGRAMS =
92@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
93subdir = src/mgr
94ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
96        $(top_srcdir)/acinclude/init.m4 \
97        $(top_srcdir)/acinclude/squid-util.m4 \
98        $(top_srcdir)/acinclude/compiler-flags.m4 \
99        $(top_srcdir)/acinclude/os-deps.m4 \
100        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
101        $(top_srcdir)/acinclude/pkg.m4 \
102        $(top_srcdir)/acinclude/lib-checks.m4 \
103        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
104        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
105        $(top_srcdir)/helpers/basic_auth/modules.m4 \
106        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
107        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
108        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
120        $(top_srcdir)/helpers/digest_auth/modules.m4 \
121        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
124        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
125        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
128        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
129        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
132        $(top_srcdir)/helpers/log_daemon/modules.m4 \
133        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
135        $(top_srcdir)/helpers/external_acl/modules.m4 \
136        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
137        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
138        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
140        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
141        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
142        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
143        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
144        $(top_srcdir)/helpers/external_acl/session/required.m4 \
145        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
146        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
147        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
148        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
149        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
150        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
152        $(top_srcdir)/configure.ac
153am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
154        $(ACLOCAL_M4)
155DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
156mkinstalldirs = $(install_sh) -d
157CONFIG_HEADER = $(top_builddir)/include/autoconf.h
158CONFIG_CLEAN_FILES =
159CONFIG_CLEAN_VPATH_FILES =
160LTLIBRARIES = $(noinst_LTLIBRARIES)
161libmgr_la_LIBADD =
162am_libmgr_la_OBJECTS = Action.lo ActionParams.lo ActionPasswordList.lo \
163        ActionWriter.lo BasicActions.lo Command.lo CountersAction.lo \
164        Filler.lo Forwarder.lo FunAction.lo InfoAction.lo Inquirer.lo \
165        IntervalAction.lo IoAction.lo Registration.lo Request.lo \
166        Response.lo ServiceTimesAction.lo StoreIoAction.lo \
167        StoreToCommWriter.lo QueryParams.lo IntParam.lo StringParam.lo
168libmgr_la_OBJECTS = $(am_libmgr_la_OBJECTS)
169AM_V_lt = $(am__v_lt_@AM_V@)
170am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
171am__v_lt_0 = --silent
172am__v_lt_1 =
173AM_V_P = $(am__v_P_@AM_V@)
174am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
175am__v_P_0 = false
176am__v_P_1 = :
177AM_V_GEN = $(am__v_GEN_@AM_V@)
178am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
179am__v_GEN_0 = @echo "  GEN     " $@;
180am__v_GEN_1 =
181AM_V_at = $(am__v_at_@AM_V@)
182am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
183am__v_at_0 = @
184am__v_at_1 =
185DEFAULT_INCLUDES =
186depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
187am__depfiles_maybe = depfiles
188am__mv = mv -f
189CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
190        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
191LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
192        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
193        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
194        $(AM_CXXFLAGS) $(CXXFLAGS)
195AM_V_CXX = $(am__v_CXX_@AM_V@)
196am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
197am__v_CXX_0 = @echo "  CXX     " $@;
198am__v_CXX_1 =
199CXXLD = $(CXX)
200CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
201        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
202        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
203AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
204am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
205am__v_CXXLD_0 = @echo "  CXXLD   " $@;
206am__v_CXXLD_1 =
207COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
208        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
209LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
210        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
211        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
212        $(AM_CFLAGS) $(CFLAGS)
213AM_V_CC = $(am__v_CC_@AM_V@)
214am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
215am__v_CC_0 = @echo "  CC      " $@;
216am__v_CC_1 =
217CCLD = $(CC)
218LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
219        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
220        $(AM_LDFLAGS) $(LDFLAGS) -o $@
221AM_V_CCLD = $(am__v_CCLD_@AM_V@)
222am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
223am__v_CCLD_0 = @echo "  CCLD    " $@;
224am__v_CCLD_1 =
225SOURCES = $(libmgr_la_SOURCES)
226DIST_SOURCES = $(libmgr_la_SOURCES)
227am__can_run_installinfo = \
228  case $$AM_UPDATE_INFO_DIR in \
229    n|no|NO) false;; \
230    *) (install-info --version) >/dev/null 2>&1;; \
231  esac
232am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
233# Read a list of newline-separated strings from the standard input,
234# and print each of them once, without duplicates.  Input order is
235# *not* preserved.
236am__uniquify_input = $(AWK) '\
237  BEGIN { nonempty = 0; } \
238  { items[$$0] = 1; nonempty = 1; } \
239  END { if (nonempty) { for (i in items) print i; }; } \
240'
241# Make sure the list of sources is unique.  This is necessary because,
242# e.g., the same source file might be shared among _SOURCES variables
243# for different programs/libraries.
244am__define_uniq_tagged_files = \
245  list='$(am__tagged_files)'; \
246  unique=`for i in $$list; do \
247    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
248  done | $(am__uniquify_input)`
249ETAGS = etags
250CTAGS = ctags
251am__tty_colors_dummy = \
252  mgn= red= grn= lgn= blu= brg= std=; \
253  am__color_tests=no
254am__tty_colors = { \
255  $(am__tty_colors_dummy); \
256  if test "X$(AM_COLOR_TESTS)" = Xno; then \
257    am__color_tests=no; \
258  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
259    am__color_tests=yes; \
260  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
261    am__color_tests=yes; \
262  fi; \
263  if test $$am__color_tests = yes; then \
264    red='[0;31m'; \
265    grn='[0;32m'; \
266    lgn='[1;32m'; \
267    blu='[1;34m'; \
268    mgn='[0;35m'; \
269    brg='[1m'; \
270    std='[m'; \
271  fi; \
272}
273am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
274am__vpath_adj = case $$p in \
275    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
276    *) f=$$p;; \
277  esac;
278am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
279am__install_max = 40
280am__nobase_strip_setup = \
281  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
282am__nobase_strip = \
283  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
284am__nobase_list = $(am__nobase_strip_setup); \
285  for p in $$list; do echo "$$p $$p"; done | \
286  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
287  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
288    if (++n[$$2] == $(am__install_max)) \
289      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
290    END { for (dir in files) print dir, files[dir] }'
291am__base_list = \
292  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
293  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
294am__uninstall_files_from_dir = { \
295  test -z "$$files" \
296    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
297    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
298         $(am__cd) "$$dir" && rm -f $$files; }; \
299  }
300am__recheck_rx = ^[     ]*:recheck:[    ]*
301am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
302am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
303# A command that, given a newline-separated list of test names on the
304# standard input, print the name of the tests that are to be re-run
305# upon "make recheck".
306am__list_recheck_tests = $(AWK) '{ \
307  recheck = 1; \
308  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
309    { \
310      if (rc < 0) \
311        { \
312          if ((getline line2 < ($$0 ".log")) < 0) \
313            recheck = 0; \
314          break; \
315        } \
316      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
317        { \
318          recheck = 0; \
319          break; \
320        } \
321      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
322        { \
323          break; \
324        } \
325    }; \
326  if (recheck) \
327    print $$0; \
328  close ($$0 ".trs"); \
329  close ($$0 ".log"); \
330}'
331# A command that, given a newline-separated list of test names on the
332# standard input, create the global log from their .trs and .log files.
333am__create_global_log = $(AWK) ' \
334function fatal(msg) \
335{ \
336  print "fatal: making $@: " msg | "cat >&2"; \
337  exit 1; \
338} \
339function rst_section(header) \
340{ \
341  print header; \
342  len = length(header); \
343  for (i = 1; i <= len; i = i + 1) \
344    printf "="; \
345  printf "\n\n"; \
346} \
347{ \
348  copy_in_global_log = 1; \
349  global_test_result = "RUN"; \
350  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
351    { \
352      if (rc < 0) \
353         fatal("failed to read from " $$0 ".trs"); \
354      if (line ~ /$(am__global_test_result_rx)/) \
355        { \
356          sub("$(am__global_test_result_rx)", "", line); \
357          sub("[        ]*$$", "", line); \
358          global_test_result = line; \
359        } \
360      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
361        copy_in_global_log = 0; \
362    }; \
363  if (copy_in_global_log) \
364    { \
365      rst_section(global_test_result ": " $$0); \
366      while ((rc = (getline line < ($$0 ".log"))) != 0) \
367      { \
368        if (rc < 0) \
369          fatal("failed to read from " $$0 ".log"); \
370        print line; \
371      }; \
372      printf "\n"; \
373    }; \
374  close ($$0 ".trs"); \
375  close ($$0 ".log"); \
376}'
377# Restructured Text title.
378am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
379# Solaris 10 'make', and several other traditional 'make' implementations,
380# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
381# by disabling -e (using the XSI extension "set +e") if it's set.
382am__sh_e_setup = case $$- in *e*) set +e;; esac
383# Default flags passed to test drivers.
384am__common_driver_flags = \
385  --color-tests "$$am__color_tests" \
386  --enable-hard-errors "$$am__enable_hard_errors" \
387  --expect-failure "$$am__expect_failure"
388# To be inserted before the command running the test.  Creates the
389# directory for the log if needed.  Stores in $dir the directory
390# containing $f, in $tst the test, in $log the log.  Executes the
391# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
392# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
393# will run the test scripts (or their associated LOG_COMPILER, if
394# thy have one).
395am__check_pre = \
396$(am__sh_e_setup);                                      \
397$(am__vpath_adj_setup) $(am__vpath_adj)                 \
398$(am__tty_colors);                                      \
399srcdir=$(srcdir); export srcdir;                        \
400case "$@" in                                            \
401  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
402    *) am__odir=.;;                                     \
403esac;                                                   \
404test "x$$am__odir" = x"." || test -d "$$am__odir"       \
405  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
406if test -f "./$$f"; then dir=./;                        \
407elif test -f "$$f"; then dir=;                          \
408else dir="$(srcdir)/"; fi;                              \
409tst=$$dir$$f; log='$@';                                 \
410if test -n '$(DISABLE_HARD_ERRORS)'; then               \
411  am__enable_hard_errors=no;                            \
412else                                                    \
413  am__enable_hard_errors=yes;                           \
414fi;                                                     \
415case " $(XFAIL_TESTS) " in                              \
416  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
417    am__expect_failure=yes;;                            \
418  *)                                                    \
419    am__expect_failure=no;;                             \
420esac;                                                   \
421$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
422# A shell command to get the names of the tests scripts with any registered
423# extension removed (i.e., equivalently, the names of the test logs, with
424# the '.log' extension removed).  The result is saved in the shell variable
425# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
426# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
427# since that might cause problem with VPATH rewrites for suffix-less tests.
428# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
429am__set_TESTS_bases = \
430  bases='$(TEST_LOGS)'; \
431  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
432  bases=`echo $$bases`
433RECHECK_LOGS = $(TEST_LOGS)
434AM_RECURSIVE_TARGETS = check recheck
435TEST_SUITE_LOG = test-suite.log
436TEST_EXTENSIONS = @EXEEXT@ .test
437LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
438LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
439am__set_b = \
440  case '$@' in \
441    */*) \
442      case '$*' in \
443        */*) b='$*';; \
444          *) b=`echo '$@' | sed 's/\.log$$//'`; \
445       esac;; \
446    *) \
447      b='$*';; \
448  esac
449am__test_logs1 = $(TESTS:=.log)
450am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
451TEST_LOGS = $(am__test_logs2:.test.log=.log)
452TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
453TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
454        $(TEST_LOG_FLAGS)
455am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
456        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am \
457        $(top_srcdir)/src/TestHeaders.am
458DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
459ACLOCAL = @ACLOCAL@
460ADAPTATION_LIBS = @ADAPTATION_LIBS@
461ALLOCA = @ALLOCA@
462AMTAR = @AMTAR@
463AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
464AR = @AR@
465AR_R = @AR_R@
466AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
467AUTH_MODULES = @AUTH_MODULES@
468AUTOCONF = @AUTOCONF@
469AUTOHEADER = @AUTOHEADER@
470AUTOMAKE = @AUTOMAKE@
471AWK = @AWK@
472BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
473BUILDCXX = @BUILDCXX@
474BUILDCXXFLAGS = @BUILDCXXFLAGS@
475BZR = @BZR@
476CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
477CC = @CC@
478CCDEPMODE = @CCDEPMODE@
479CFLAGS = @CFLAGS@
480CGIEXT = @CGIEXT@
481CHMOD = @CHMOD@
482CPP = @CPP@
483CPPFLAGS = @CPPFLAGS@
484CPPUNITCONFIG = @CPPUNITCONFIG@
485CRYPTLIB = @CRYPTLIB@
486CXX = @CXX@
487CXXCPP = @CXXCPP@
488CXXDEPMODE = @CXXDEPMODE@
489CXXFLAGS = @CXXFLAGS@
490CYGPATH_W = @CYGPATH_W@
491DEFAULT_HOSTS = @DEFAULT_HOSTS@
492DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
493DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
494DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
495DEFS = @DEFS@
496DEPDIR = @DEPDIR@
497DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
498DISK_LIBS = @DISK_LIBS@
499DISK_LINKOBJS = @DISK_LINKOBJS@
500DISK_MODULES = @DISK_MODULES@
501DISK_OS_LIBS = @DISK_OS_LIBS@
502DISK_PROGRAMS = @DISK_PROGRAMS@
503DLLTOOL = @DLLTOOL@
504DSYMUTIL = @DSYMUTIL@
505DUMPBIN = @DUMPBIN@
506ECAP_LIBS = @ECAP_LIBS@
507ECHO_C = @ECHO_C@
508ECHO_N = @ECHO_N@
509ECHO_T = @ECHO_T@
510EGREP = @EGREP@
511EPOLL_LIBS = @EPOLL_LIBS@
512EUILIB = @EUILIB@
513EXEEXT = @EXEEXT@
514EXPATLIB = @EXPATLIB@
515EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
516EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
517EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
518FALSE = @FALSE@
519FGREP = @FGREP@
520GREP = @GREP@
521HAVE_CXX11 = @HAVE_CXX11@
522ICAP_LIBS = @ICAP_LIBS@
523INCLTDL = @INCLTDL@
524INSTALL = @INSTALL@
525INSTALL_DATA = @INSTALL_DATA@
526INSTALL_PROGRAM = @INSTALL_PROGRAM@
527INSTALL_SCRIPT = @INSTALL_SCRIPT@
528INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
529KRB5INCS = @KRB5INCS@
530KRB5LIBS = @KRB5LIBS@
531LBERLIB = @LBERLIB@
532LD = @LD@
533LDAPLIB = @LDAPLIB@
534LDFLAGS = @LDFLAGS@
535LIBADD_DL = @LIBADD_DL@
536LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
537LIBADD_DLOPEN = @LIBADD_DLOPEN@
538LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
539LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
540LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
541LIBLTDL = @LIBLTDL@
542LIBOBJS = @LIBOBJS@
543LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
544LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
545LIBS = @LIBS@
546LIBSASL = @LIBSASL@
547LIBTOOL = @LIBTOOL@
548LIB_DB = @LIB_DB@
549LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
550LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
551LINUXDOC = @LINUXDOC@
552LIPO = @LIPO@
553LN = @LN@
554LN_S = @LN_S@
555LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
556LTDLDEPS = @LTDLDEPS@
557LTDLINCL = @LTDLINCL@
558LTDLOPEN = @LTDLOPEN@
559LTLIBOBJS = @LTLIBOBJS@
560LT_ARGZ_H = @LT_ARGZ_H@
561LT_CONFIG_H = @LT_CONFIG_H@
562LT_DLLOADERS = @LT_DLLOADERS@
563LT_DLPREOPEN = @LT_DLPREOPEN@
564LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
565MAINT = @MAINT@
566MAKEINFO = @MAKEINFO@
567MANIFEST_TOOL = @MANIFEST_TOOL@
568MINGW_LIBS = @MINGW_LIBS@
569MKDIR = @MKDIR@
570MKDIR_P = @MKDIR_P@
571MV = @MV@
572NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
573NETTLELIB = @NETTLELIB@
574NM = @NM@
575NMEDIT = @NMEDIT@
576NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
577OBJDUMP = @OBJDUMP@
578OBJEXT = @OBJEXT@
579OTOOL = @OTOOL@
580OTOOL64 = @OTOOL64@
581PACKAGE = @PACKAGE@
582PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
583PACKAGE_NAME = @PACKAGE_NAME@
584PACKAGE_STRING = @PACKAGE_STRING@
585PACKAGE_TARNAME = @PACKAGE_TARNAME@
586PACKAGE_URL = @PACKAGE_URL@
587PACKAGE_VERSION = @PACKAGE_VERSION@
588PATH_SEPARATOR = @PATH_SEPARATOR@
589PERL = @PERL@
590PKG_CONFIG = @PKG_CONFIG@
591PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
592PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
593PO2HTML = @PO2HTML@
594PO2TEXT = @PO2TEXT@
595POD2MAN = @POD2MAN@
596RANLIB = @RANLIB@
597REGEXLIB = @REGEXLIB@
598REPL_LIBS = @REPL_LIBS@
599REPL_OBJS = @REPL_OBJS@
600REPL_POLICIES = @REPL_POLICIES@
601RM = @RM@
602SED = @SED@
603SET_MAKE = @SET_MAKE@
604SH = @SH@
605SHELL = @SHELL@
606SMBCLIENT = @SMBCLIENT@
607SNMPLIB = @SNMPLIB@
608SQUID_CFLAGS = @SQUID_CFLAGS@
609SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
610SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
611SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
612SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
613SSLLIB = @SSLLIB@
614STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
615STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
616STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
617STORE_TESTS = @STORE_TESTS@
618STRIP = @STRIP@
619TR = @TR@
620TRUE = @TRUE@
621URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
622VERSION = @VERSION@
623WBINFO = @WBINFO@
624WIN32_PSAPI = @WIN32_PSAPI@
625XMLLIB = @XMLLIB@
626XTRA_LIBS = @XTRA_LIBS@
627XTRA_OBJS = @XTRA_OBJS@
628abs_builddir = @abs_builddir@
629abs_srcdir = @abs_srcdir@
630abs_top_builddir = @abs_top_builddir@
631abs_top_srcdir = @abs_top_srcdir@
632ac_ct_AR = @ac_ct_AR@
633ac_ct_CC = @ac_ct_CC@
634ac_ct_CXX = @ac_ct_CXX@
635ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
636am__include = @am__include@
637am__leading_dot = @am__leading_dot@
638am__quote = @am__quote@
639am__tar = @am__tar@
640am__untar = @am__untar@
641bindir = @bindir@
642build = @build@
643build_alias = @build_alias@
644build_cpu = @build_cpu@
645build_os = @build_os@
646build_vendor = @build_vendor@
647builddir = @builddir@
648datadir = @datadir@
649datarootdir = @datarootdir@
650docdir = @docdir@
651dvidir = @dvidir@
652exec_prefix = @exec_prefix@
653host = @host@
654host_alias = @host_alias@
655host_cpu = @host_cpu@
656host_os = @host_os@
657host_vendor = @host_vendor@
658htmldir = @htmldir@
659includedir = @includedir@
660infodir = @infodir@
661install_sh = @install_sh@
662krb5_config = @krb5_config@
663libdir = @libdir@
664libexecdir = @libexecdir@
665localedir = @localedir@
666localstatedir = @localstatedir@
667ltdl_LIBOBJS = @ltdl_LIBOBJS@
668ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
669mandir = @mandir@
670mkdir_p = @mkdir_p@
671oldincludedir = @oldincludedir@
672pdfdir = @pdfdir@
673prefix = @prefix@
674program_transform_name = @program_transform_name@
675psdir = @psdir@
676runstatedir = @runstatedir@
677sbindir = @sbindir@
678sharedstatedir = @sharedstatedir@
679srcdir = @srcdir@
680subdirs = @subdirs@
681sys_symbol_underscore = @sys_symbol_underscore@
682sysconfdir = @sysconfdir@
683target_alias = @target_alias@
684top_build_prefix = @top_build_prefix@
685top_builddir = @top_builddir@
686top_srcdir = @top_srcdir@
687AM_CFLAGS = $(SQUID_CFLAGS)
688AM_CXXFLAGS = $(SQUID_CXXFLAGS)
689CLEANFILES = testHeaders
690TESTS = testHeaders
691AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
692        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
693        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
694        $(am__append_1)
695@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
696@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
697COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
698subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
699noinst_LTLIBRARIES = libmgr.la
700libmgr_la_SOURCES = \
701        Action.cc \
702        ActionCreator.h \
703        Action.h \
704        ActionParams.cc \
705        ActionParams.h \
706        ActionPasswordList.h \
707        ActionPasswordList.cc \
708        ActionProfile.h \
709        ActionWriter.cc \
710        ActionWriter.h \
711        BasicActions.cc \
712        BasicActions.h \
713        Command.cc \
714        Command.h \
715        CountersAction.cc \
716        CountersAction.h \
717        Filler.cc \
718        Filler.h \
719        Forwarder.cc \
720        Forwarder.h \
721        forward.h \
722        FunAction.cc \
723        FunAction.h \
724        InfoAction.cc \
725        InfoAction.h \
726        Inquirer.cc \
727        Inquirer.h \
728        IntervalAction.cc \
729        IntervalAction.h \
730        IoAction.cc \
731        IoAction.h \
732        Registration.cc \
733        Registration.h \
734        Request.cc \
735        Request.h \
736        Response.cc \
737        Response.h \
738        ServiceTimesAction.cc \
739        ServiceTimesAction.h \
740        StoreIoAction.cc \
741        StoreIoAction.h \
742        StoreToCommWriter.cc \
743        StoreToCommWriter.h \
744        QueryParam.h \
745        QueryParams.cc \
746        QueryParams.h \
747        IntParam.cc \
748        IntParam.h \
749        StringParam.cc \
750        StringParam.h
751
752all: all-am
753
754.SUFFIXES:
755.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
756$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__configure_deps)
757        @for dep in $?; do \
758          case '$(am__configure_deps)' in \
759            *$$dep*) \
760              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
761                && { if test -f $@; then exit 0; else break; fi; }; \
762              exit 1;; \
763          esac; \
764        done; \
765        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/mgr/Makefile'; \
766        $(am__cd) $(top_srcdir) && \
767          $(AUTOMAKE) --gnu src/mgr/Makefile
768Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
769        @case '$?' in \
770          *config.status*) \
771            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
772          *) \
773            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
774            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
775        esac;
776$(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__empty):
777
778$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
779        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
780
781$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
782        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
783$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
784        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
785$(am__aclocal_m4_deps):
786
787clean-noinstLTLIBRARIES:
788        -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
789        @list='$(noinst_LTLIBRARIES)'; \
790        locs=`for p in $$list; do echo $$p; done | \
791              sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
792              sort -u`; \
793        test -z "$$locs" || { \
794          echo rm -f $${locs}; \
795          rm -f $${locs}; \
796        }
797
798libmgr.la: $(libmgr_la_OBJECTS) $(libmgr_la_DEPENDENCIES) $(EXTRA_libmgr_la_DEPENDENCIES)
799        $(AM_V_CXXLD)$(CXXLINK)  $(libmgr_la_OBJECTS) $(libmgr_la_LIBADD) $(LIBS)
800
801clean-checkPROGRAMS:
802        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
803        echo " rm -f" $$list; \
804        rm -f $$list || exit $$?; \
805        test -n "$(EXEEXT)" || exit 0; \
806        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
807        echo " rm -f" $$list; \
808        rm -f $$list
809
810mostlyclean-compile:
811        -rm -f *.$(OBJEXT)
812
813distclean-compile:
814        -rm -f *.tab.c
815
816@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Action.Plo@am__quote@
817@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ActionParams.Plo@am__quote@
818@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ActionPasswordList.Plo@am__quote@
819@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ActionWriter.Plo@am__quote@
820@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/BasicActions.Plo@am__quote@
821@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Command.Plo@am__quote@
822@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CountersAction.Plo@am__quote@
823@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Filler.Plo@am__quote@
824@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Forwarder.Plo@am__quote@
825@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/FunAction.Plo@am__quote@
826@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/InfoAction.Plo@am__quote@
827@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Inquirer.Plo@am__quote@
828@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/IntParam.Plo@am__quote@
829@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/IntervalAction.Plo@am__quote@
830@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/IoAction.Plo@am__quote@
831@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/QueryParams.Plo@am__quote@
832@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Registration.Plo@am__quote@
833@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Request.Plo@am__quote@
834@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Response.Plo@am__quote@
835@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ServiceTimesAction.Plo@am__quote@
836@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/StoreIoAction.Plo@am__quote@
837@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/StoreToCommWriter.Plo@am__quote@
838@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/StringParam.Plo@am__quote@
839
840.cc.o:
841@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
842@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
843@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
844@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
845@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
846@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
847
848.cc.obj:
849@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
850@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
851@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
852@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
853@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
854@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
855
856.cc.lo:
857@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
858@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
859@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
860@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
861@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
862@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
863
864mostlyclean-libtool:
865        -rm -f *.lo
866
867clean-libtool:
868        -rm -rf .libs _libs
869
870ID: $(am__tagged_files)
871        $(am__define_uniq_tagged_files); mkid -fID $$unique
872tags: tags-am
873TAGS: tags
874
875tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
876        set x; \
877        here=`pwd`; \
878        $(am__define_uniq_tagged_files); \
879        shift; \
880        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
881          test -n "$$unique" || unique=$$empty_fix; \
882          if test $$# -gt 0; then \
883            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
884              "$$@" $$unique; \
885          else \
886            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
887              $$unique; \
888          fi; \
889        fi
890ctags: ctags-am
891
892CTAGS: ctags
893ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
894        $(am__define_uniq_tagged_files); \
895        test -z "$(CTAGS_ARGS)$$unique" \
896          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
897             $$unique
898
899GTAGS:
900        here=`$(am__cd) $(top_builddir) && pwd` \
901          && $(am__cd) $(top_srcdir) \
902          && gtags -i $(GTAGS_ARGS) "$$here"
903cscopelist: cscopelist-am
904
905cscopelist-am: $(am__tagged_files)
906        list='$(am__tagged_files)'; \
907        case "$(srcdir)" in \
908          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
909          *) sdir=$(subdir)/$(srcdir) ;; \
910        esac; \
911        for i in $$list; do \
912          if test -f "$$i"; then \
913            echo "$(subdir)/$$i"; \
914          else \
915            echo "$$sdir/$$i"; \
916          fi; \
917        done >> $(top_builddir)/cscope.files
918
919distclean-tags:
920        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
921
922# Recover from deleted '.trs' file; this should ensure that
923# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
924# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
925# to avoid problems with "make -n".
926.log.trs:
927        rm -f $< $@
928        $(MAKE) $(AM_MAKEFLAGS) $<
929
930# Leading 'am--fnord' is there to ensure the list of targets does not
931# expand to empty, as could happen e.g. with make check TESTS=''.
932am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
933am--force-recheck:
934        @:
935
936$(TEST_SUITE_LOG): $(TEST_LOGS)
937        @$(am__set_TESTS_bases); \
938        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
939        redo_bases=`for i in $$bases; do \
940                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
941                    done`; \
942        if test -n "$$redo_bases"; then \
943          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
944          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
945          if $(am__make_dryrun); then :; else \
946            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
947          fi; \
948        fi; \
949        if test -n "$$am__remaking_logs"; then \
950          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
951               "recursion detected" >&2; \
952        elif test -n "$$redo_logs"; then \
953          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
954        fi; \
955        if $(am__make_dryrun); then :; else \
956          st=0;  \
957          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
958          for i in $$redo_bases; do \
959            test -f $$i.trs && test -r $$i.trs \
960              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
961            test -f $$i.log && test -r $$i.log \
962              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
963          done; \
964          test $$st -eq 0 || exit 1; \
965        fi
966        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
967        ws='[   ]'; \
968        results=`for b in $$bases; do echo $$b.trs; done`; \
969        test -n "$$results" || results=/dev/null; \
970        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
971        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
972        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
973        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
974        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
975        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
976        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
977        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
978          success=true; \
979        else \
980          success=false; \
981        fi; \
982        br='==================='; br=$$br$$br$$br$$br; \
983        result_count () \
984        { \
985            if test x"$$1" = x"--maybe-color"; then \
986              maybe_colorize=yes; \
987            elif test x"$$1" = x"--no-color"; then \
988              maybe_colorize=no; \
989            else \
990              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
991            fi; \
992            shift; \
993            desc=$$1 count=$$2; \
994            if test $$maybe_colorize = yes && test $$count -gt 0; then \
995              color_start=$$3 color_end=$$std; \
996            else \
997              color_start= color_end=; \
998            fi; \
999            echo "$${color_start}# $$desc $$count$${color_end}"; \
1000        }; \
1001        create_testsuite_report () \
1002        { \
1003          result_count $$1 "TOTAL:" $$all   "$$brg"; \
1004          result_count $$1 "PASS: " $$pass  "$$grn"; \
1005          result_count $$1 "SKIP: " $$skip  "$$blu"; \
1006          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1007          result_count $$1 "FAIL: " $$fail  "$$red"; \
1008          result_count $$1 "XPASS:" $$xpass "$$red"; \
1009          result_count $$1 "ERROR:" $$error "$$mgn"; \
1010        }; \
1011        {                                                               \
1012          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1013            $(am__rst_title);                                           \
1014          create_testsuite_report --no-color;                           \
1015          echo;                                                         \
1016          echo ".. contents:: :depth: 2";                               \
1017          echo;                                                         \
1018          for b in $$bases; do echo $$b; done                           \
1019            | $(am__create_global_log);                                 \
1020        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1021        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1022        if $$success; then                                              \
1023          col="$$grn";                                                  \
1024         else                                                           \
1025          col="$$red";                                                  \
1026          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1027        fi;                                                             \
1028        echo "$${col}$$br$${std}";                                      \
1029        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1030        echo "$${col}$$br$${std}";                                      \
1031        create_testsuite_report --maybe-color;                          \
1032        echo "$$col$$br$$std";                                          \
1033        if $$success; then :; else                                      \
1034          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1035          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1036            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1037          fi;                                                           \
1038          echo "$$col$$br$$std";                                        \
1039        fi;                                                             \
1040        $$success || exit 1
1041
1042check-TESTS:
1043        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1044        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1045        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1046        @set +e; $(am__set_TESTS_bases); \
1047        log_list=`for i in $$bases; do echo $$i.log; done`; \
1048        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1049        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1050        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1051        exit $$?;
1052recheck: all $(check_PROGRAMS)
1053        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1054        @set +e; $(am__set_TESTS_bases); \
1055        bases=`for i in $$bases; do echo $$i; done \
1056                 | $(am__list_recheck_tests)` || exit 1; \
1057        log_list=`for i in $$bases; do echo $$i.log; done`; \
1058        log_list=`echo $$log_list`; \
1059        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1060                am__force_recheck=am--force-recheck \
1061                TEST_LOGS="$$log_list"; \
1062        exit $$?
1063testHeaders.log: testHeaders
1064        @p='testHeaders'; \
1065        b='testHeaders'; \
1066        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1067        --log-file $$b.log --trs-file $$b.trs \
1068        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1069        "$$tst" $(AM_TESTS_FD_REDIRECT)
1070.test.log:
1071        @p='$<'; \
1072        $(am__set_b); \
1073        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1074        --log-file $$b.log --trs-file $$b.trs \
1075        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1076        "$$tst" $(AM_TESTS_FD_REDIRECT)
1077@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1078@am__EXEEXT_TRUE@       @p='$<'; \
1079@am__EXEEXT_TRUE@       $(am__set_b); \
1080@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1081@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1082@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1083@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1084
1085distdir: $(DISTFILES)
1086        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1087        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1088        list='$(DISTFILES)'; \
1089          dist_files=`for file in $$list; do echo $$file; done | \
1090          sed -e "s|^$$srcdirstrip/||;t" \
1091              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1092        case $$dist_files in \
1093          */*) $(MKDIR_P) `echo "$$dist_files" | \
1094                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1095                           sort -u` ;; \
1096        esac; \
1097        for file in $$dist_files; do \
1098          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1099          if test -d $$d/$$file; then \
1100            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1101            if test -d "$(distdir)/$$file"; then \
1102              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1103            fi; \
1104            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1105              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1106              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1107            fi; \
1108            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1109          else \
1110            test -f "$(distdir)/$$file" \
1111            || cp -p $$d/$$file "$(distdir)/$$file" \
1112            || exit 1; \
1113          fi; \
1114        done
1115check-am: all-am
1116        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1117        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1118check: check-am
1119all-am: Makefile $(LTLIBRARIES)
1120installdirs:
1121install: install-am
1122install-exec: install-exec-am
1123install-data: install-data-am
1124uninstall: uninstall-am
1125
1126install-am: all-am
1127        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1128
1129installcheck: installcheck-am
1130install-strip:
1131        if test -z '$(STRIP)'; then \
1132          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1133            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1134              install; \
1135        else \
1136          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1137            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1138            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1139        fi
1140mostlyclean-generic:
1141        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1142        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1143        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1144
1145clean-generic:
1146        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1147
1148distclean-generic:
1149        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1150        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1151
1152maintainer-clean-generic:
1153        @echo "This command is intended for maintainers to use"
1154        @echo "it deletes files that may require special tools to rebuild."
1155clean: clean-am
1156
1157clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1158        clean-noinstLTLIBRARIES mostlyclean-am
1159
1160distclean: distclean-am
1161        -rm -rf ./$(DEPDIR)
1162        -rm -f Makefile
1163distclean-am: clean-am distclean-compile distclean-generic \
1164        distclean-tags
1165
1166dvi: dvi-am
1167
1168dvi-am:
1169
1170html: html-am
1171
1172html-am:
1173
1174info: info-am
1175
1176info-am:
1177
1178install-data-am:
1179
1180install-dvi: install-dvi-am
1181
1182install-dvi-am:
1183
1184install-exec-am:
1185
1186install-html: install-html-am
1187
1188install-html-am:
1189
1190install-info: install-info-am
1191
1192install-info-am:
1193
1194install-man:
1195
1196install-pdf: install-pdf-am
1197
1198install-pdf-am:
1199
1200install-ps: install-ps-am
1201
1202install-ps-am:
1203
1204installcheck-am:
1205
1206maintainer-clean: maintainer-clean-am
1207        -rm -rf ./$(DEPDIR)
1208        -rm -f Makefile
1209maintainer-clean-am: distclean-am maintainer-clean-generic
1210
1211mostlyclean: mostlyclean-am
1212
1213mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1214        mostlyclean-libtool
1215
1216pdf: pdf-am
1217
1218pdf-am:
1219
1220ps: ps-am
1221
1222ps-am:
1223
1224uninstall-am:
1225
1226.MAKE: check-am install-am install-strip
1227
1228.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1229        clean-checkPROGRAMS clean-generic clean-libtool \
1230        clean-noinstLTLIBRARIES cscopelist-am ctags ctags-am distclean \
1231        distclean-compile distclean-generic distclean-libtool \
1232        distclean-tags distdir dvi dvi-am html html-am info info-am \
1233        install install-am install-data install-data-am install-dvi \
1234        install-dvi-am install-exec install-exec-am install-html \
1235        install-html-am install-info install-info-am install-man \
1236        install-pdf install-pdf-am install-ps install-ps-am \
1237        install-strip installcheck installcheck-am installdirs \
1238        maintainer-clean maintainer-clean-generic mostlyclean \
1239        mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1240        pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1241        uninstall-am
1242
1243.PRECIOUS: Makefile
1244
1245
1246$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1247
1248testHeaders: $(srcdir)/*.h
1249        $(SHELL) $(top_srcdir)/test-suite/testheaders.sh "$(CXXCOMPILE)" $^ || exit 1
1250
1251.PHONY: testHeaders
1252
1253# Tell versions [3.59,3.63) of GNU make to not export all variables.
1254# Otherwise a system limit (for SysV at least) may be exceeded.
1255.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.